import request from '@/utils/request'

// 获取专家列表
export function getExpertList(data) {
  return request({
    url: '/Public/getExpertList',
    method: 'post',
    data
  })
}

export function getExpertTradeListByDay(data) {
  return request({
    url: '/Public/getExpertTradeListByDay',
    method: 'post',
    data
  })
}
// 申请专家
export function insertExpert(data) {
  return request({
    url: '/insertExpert',
    method: 'post',
    data
  })
}

export function getExpertInfo() {
  return request({
    url: '/getExpertInfo',
    method: 'post'
  })
}
// 获取用户跟单列表
export function getFollowList(data) {
  return request({
    url: '/getFollowList',
    method: 'post',
    data
  })
}

// 获取跟单账号
export function getFollowAccount() {
  return request({
    url: '/getFollowAccount',
    method: 'post',
  })
}

// 跟随专家
export function insertFollow(data) {
  return request({
    url: '/insertFollow',
    method: 'post',
    data
  })
}

// 美元账户划转至跟单账户
export function cashToFollow(data) {
  return request({
    url: '/cashToFollow',
    method: 'post',
    data
  })
}

// 跟单账户划转至美元账户
export function followToCash(data) {
  return request({
    url: '/followToCash',
    method: 'post',
    data
  })
}

// 修改跟单设置
export function updateFollow(data) {
  return request({
    url: '/updateFollow',
    method: 'post',
    data
  })
}

// 获取专家跟随用户列表
export function getExpertFollowList(data) {
  return request({
    url: '/Public/getExpertFollowList',
    method: 'post',
    data
  })
}

// 获取跟单持仓列表
export function getFollowPositionTradeList(data) {
  return request({
    url: '/getFollowPositionTradeList',
    method: 'post',
    data
  })
}

// 获取跟单历史记录
export function getFollowHistoryTradeList(data) {
  return request({
    url: '/getFollowHistoryTradeList',
    method: 'post',
    data
  })
}

// 获取专家带单交易列表
export function getExpertTradeList(data) {
  return request({
    url: '/Public/getExpertTradeList',
    method: 'post',
    data
  })
}